<?php
/* BBNEWS - Systm novinek v PHP a MySQL                  *
*  Autor: Bohumr Bednak (BoboCop), bobocop@bobocop.cz  *
*  Verze: 1.4                                             *
*  Posledn pravy: 14.6.2007                             */


/* funkce ktera vrati ID clanku predaneho v URL           *
* do parametru cl                                         */
function GetClanekFromURL() {
  //zjistim ID clanku predany parametrem v URL
	if (isset($_GET['cl'])):
		//pokud byl parametr cl
		if (is_numeric($_GET['cl'])):
			//a pokud byl cislo, vezmu ho
			$clanek = intval($_GET['cl']);
		else:
			//jinak je filtr 0
			$clanek = 0;
		endif;
	else:
		//jinak je filtr 0
		$clanek = 0;
	endif;
  return $clanek;
}

/* funkce ktera vrati polozky z databaze podle zadani     *
* Parametry:                                              *
* $cnt - definice poctu novinek 0 - vrati vsechny novinky *
* $newsformat - definice vzhledu novinek                  *
* $showheader - prepinac zobrazeni nadpisu                *
* $headerlevel - definice urovne nadpisu                  *
* $whatshow - definice toho, co se bude vypisovat         *
*     1 - vrati novinky,                                  *
*     2 - vrati akce,                                     *
*     3 - vrati odkazy clanky                             *
* $clurl - definice stranky, ktera bude zobrazovat clanky */
function GetNews($cnt = 0, $newsformat = 1, $lang = 1, $whatshow = 1, $clurl = 'clanek.php', $showheader = True, $headerlevel = 2) {
global $SubDir;

	//definice pomocnych retezcu
	switch ($lang):
		//cestina
		case 1:
		default:
			switch ($whatshow):
				//novinky
				case 1:
				default:
					$nadpis = "<h$headerlevel>Novinky</h$headerlevel>\n";
					$popis = "novinky";
					break;
				//akce
				case 2:
					$nadpis = "<h$headerlevel>Akce</h$headerlevel>\n";
					$popis = "akce";
					break;
				//clanky
				case 3:
					$nadpis = "<h$headerlevel>lnky</h$headerlevel>\n";
					$popis = "lnky";
					break;
			endswitch;
			$nzadne = "dn $popis";
			$pzadne = "Nejsou k dispozici dn $popis.";
			$azobrazit = "Zobrazit $popis";
			$narch = "Archiv novinek";
			$aarch = "Zobrazit archiv novinek";
			$npodrob = "Podrobnosti akce ";
			$nclanekerr = "Nen lnek - chyba";
			$pclanekerr_f = "lnek s slem";
			$pclanekerr_l = "nebyl nalezen.";
			break;
		//anglictina
		case 2:
			switch ($whatshow):
				//novinky
				case 1:
				default:
					$nadpis = "<h$headerlevel>News</h$headerlevel>\n";
					$popis = "news";
					break;
				//akce
				case 2:
					$nadpis = "<h$headerlevel>Actions</h$headerlevel>\n";
					$popis = "actions";
					break;
				//clanky
				case 3:
					$nadpis = "<h$headerlevel>Articles</h$headerlevel>\n";
					$popis = "articles";
					break;
			endswitch;
			$nzadne = "No $popis";
			$pzadne = "No $popis available.";
			$azobrazit = "Show $popis";
			$narch = "News archive";
			$aarch = "Show news archive";
			$npodrob = "";
			$nclanekerr = "No article - error";
			$pclanekerr_f = "Article ID";
			$pclanekerr_l = "was not found.";
			break;
		//nemcina
		case 3:
			switch ($whatshow):
				//novinky
				case 1:
				default:
					$nadpis = "<h$headerlevel>Neuheiten</h$headerlevel>\n";
					$popis = "Neuheiten";
					break;
				//akce
				case 2:
					$nadpis = "<h$headerlevel>Aktionen</h$headerlevel>\n";
					$popis = "Aktionen";
					break;
				//clanky
				case 3:
					$nadpis = "<h$headerlevel>Aufstze</h$headerlevel>\n";
					$popis = "Aufstze";
					break;
			endswitch;
			$nzadne = "Keine $popis";
			$pzadne = "Keine $popis verfgbar.";
			$azobrazit = "Ziegen $popis"; 
			$narch = "Neuheitenarchiv";
			$aarch = "Neuheitenarchiv Ziegen";
			$npodrob = "";
			$nclanekerr = "Keine $popis - Fehler";
			$pclanekerr_f = "$popis ID";
			$pclanekerr_l = "ist nich gefunden.";
			break;
	endswitch;
		
	//definice retezcu pro vypis polozek podle typu (nadpisy, seznamy, odstavce)
	switch ($newsformat):
		//seznam DL
		case 1:
		default:
			$nb = "<dl id=\"news\">";
			$na = "</dl>";
			$hb = "<dt>";
			$ha = "</dt>";
			$cb = "<dd>";
			$ca = "</dd>";
		 	break;
		 	
		//seznam UL
		case 2:
			$nb = "<ul id=\"news\">";
			$na = "</ul>";
			$hb = "<li class=\"head\"><strong>";
			$ha = "</strong></li>";
			$cb = "<li>";
			$ca = "</li>";
		 	break;
		
		//odstavce
		case 3:
			$nb = "<div id=\"news\">";
			$na = "</div>";
			if ($headerlevel<6):
				$hb = "<h" . ($headerlevel+1) . ">";
				$ha = "</h" . ($headerlevel+1) . ">";
			else:
				$hb = "<p><strong>";
				$ha = "</strong></p>";
			endif;
			$cb = "<p>";
			$ca = "</p>";
		 	break;
 	endswitch;
 	
	//prilinkovani a definice Texy
	require_once ($SubDir . 'news/inc/texy-compact.php');
	$texy = &new Texy(); 

	//promenna pro ulozeni vystupniho retezce
	$str = '';
	// spojim se s databazi
	require ($SubDir . 'news/inc/dbconnect.php');
  
  //vytvorim dotaz
	switch ($whatshow):
		//novinky
		case 1:
		default:
		  if ($cnt<=0):
		    $dotaz = "SELECT date, head, cont, showdate, formatcont FROM bb_news WHERE ((ntype = $whatshow) AND (nlang = $lang) AND (dontshow = '0')) ORDER BY date DESC, id DESC";
		  else:
		    $dotaz = "SELECT date, head, cont, showdate, formatcont FROM bb_news WHERE ((ntype = $whatshow) AND (nlang = $lang) AND (dontshow = '0')) ORDER BY date DESC, id DESC LIMIT $cnt";
			endif;
			break;
		//akce
		case 2:
		  if ($cnt<=0):
		    $dotaz = "SELECT date, head, cont, showdate, formatcont FROM bb_news WHERE (((ntype = $whatshow) AND (nlang = $lang) AND (date >= '" . date('Y-m-d', mktime(0, 0, 0, date('m'), date('d'), date('Y'))) . "')) AND (dontshow = '0')) ORDER BY date DESC, id DESC";
		  else:
		    $dotaz = "SELECT date, head, cont, showdate, formatcont FROM bb_news WHERE (((ntype = $whatshow) AND (nlang = $lang) AND (date >= '" . date('Y-m-d', mktime(0, 0, 0, date('m'), date('d'), date('Y'))) . "')) AND (dontshow = '0')) ORDER BY date DESC, id DESC LIMIT $cnt";
			endif;
			break;
		//clanky
		case 3:
		  if ($cnt<=0):
		    $dotaz = "SELECT date, head, id, showdate FROM bb_news WHERE ((ntype = $whatshow) AND (nlang = $lang) AND (dontshow = '0')) ORDER BY date DESC, id";
		  else:
		    $dotaz = "SELECT date, head, id, showdate FROM bb_news WHERE ((ntype = $whatshow) AND (nlang = $lang) AND (dontshow = '0')) ORDER BY date DESC, id LIMIT $cnt";
			endif;
			break;
	endswitch;
  //spustim dotaz
  $vysledek = mysql_query($dotaz);
  //spocitam pocet vysledku
  $pocet = @mysql_num_rows($vysledek);
  //pokud je alespon jedna polozka
  if ($pocet>0):
  	//opravim cislo nadpisu (pokud je chybne)
		if (($headerlevel>6) or ($headerlevel<1)) $headerlevel = 2;
		
		//pokud maji byt odstavce
  	if ($newsformat == 3):
	  	if ($cnt>0): $str .= $nb; endif;
	  	if ($showheader):
	  		$str .= $nadpis;
	  	endif;
  	else:
	  	if ($showheader):
	  		$str .= $nadpis;
	  	endif;
	  	$str .= $nb;
  	endif;
    
		//prochazim vysledek dotazu
  	while ($radek = mysql_fetch_array($vysledek)):
  		//nadpis
  		$str .= $hb;
  		//zobrazovat datum
  		if ($radek[3]):
	  		$str .= date('j.n.Y', strtotime($radek[0])); //datum
	  		if (strlen($radek[1])>0) $str .= ' - ';
  		endif;
  		$str .= $radek[1]; //nadpis
  		$str .= $ha;
  		
  		//obsah
			switch ($whatshow):
				//novinky
				//akce
				case 1:
				case 2:
				default:
					//pokud se ma formatovat obsah
		  		if ($radek[4]):
		  			//budu formatovat obsah
		  			if ($newsformat!=3):
				  		$str .= $cb;
							$str .= $texy->process(stripslashes($radek[2]), True);
				  		$str .= $ca;
		  			else:
							$str .= $texy->process(stripslashes($radek[2]));
		  			endif;
		  		else:
		  			//nebudu formatovat obsah
			  		$str .= $cb;
			  		$str .= stripslashes($radek[2]); 
			  		$str .= $ca;
		  		endif;
					break;
				//clanky
				case 3:
					//u clanku vypisuju pouze odkaz na nazev clanku
		  		$str .= $cb;
		  		$str .= "<a href=\"$clurl?cl=$radek[2]\">$azobrazit $radek[1]</a>";
		  		$str .= $ca;
					break;
			endswitch;

  	endwhile;
  	
		// pokud neni archiv novinek, budu zobrazovat odkaz na archiv
		if ($whatshow == 1):
			if ($cnt > 0):
				switch ($newsformat):
					case 1:
					case 2:
					default:
						$str .= $hb . $narch . $ha;
						$str .= $cb . "<a href=\"novinky.php\">$aarch</a>" . $ca;
						$str .= $na;
					 	break;
					case 3:
						$str .= "<p class=\"archiv\"><a href=\"novinky.php\">$aarch</a></p>";
				  	if ($cnt>0): $str .= $na; endif;
					 	break;
			 	endswitch;
			endif;
		else:
	  	$str .= $na;
		endif;
	else:
		if (($headerlevel>6) or ($headerlevel<1)) $headerlevel = 2;
  	if ($newsformat == 3):
	  	if ($cnt>0): $str .= $nb; endif;
	  	if ($showheader):
	  		$str .= $nadpis;
	  	endif;
  	else:
	  	if ($showheader):
	  		$str .= $nadpis;
	  	endif;
	  	$str .= $nb;
  	endif;
		switch ($newsformat):
			case 1:
			case 2:
			default:
				$str .= $hb . $nzadne . $ha;
				$str .= $cb . $pzadne . $ca;
				$str .= $na;
			 	break;
			case 3:
				$str .= $cb . $pzadne . $ca;
		  	if ($cnt>0): $str .= $na; endif;
			 	break;
	 	endswitch;
  endif;
	//zavreni databaze
	@mysql_free_result($vysledek);
	@mysql_close();
	return $str;
}

/* funkce ktera vrati obsah clanku podle parametru id     *
* Parametry:                                              *
* $id - id clanku, ktery se ma vratit                     *
* $headerlevel - definice urovne nadpisu                  */
function GetClanek($id = 0, $headerlevel = 3) {
	//prilinkovani a definice Texy
	require_once ($SubDir . 'news/inc/texy-compact.php');
	$texy = &new Texy(); 

	//promenna pro ulozeni vystupniho retezce
	$str = '';
	// spojim se s databazi
	require ($SubDir . 'news/inc/dbconnect.php');
  //vytvorim dotaz
	$dotaz = "SELECT date, head, cont FROM bb_news WHERE (((ntype = 3) AND (id = $id)) AND (dontshow = '0'))";
  //spustim dotaz
  $vysledek = mysql_query($dotaz);
  //spocitam pocet vysledku
  $pocet = @mysql_num_rows($vysledek);
	//opravim cislo nadpisu (pokud je chybne)
	if (($headerlevel>6) or ($headerlevel<1)) $headerlevel = 3;
  //pokud je alespon jedna polozka
  if ($pocet>0):
		//priradim vysledek dotazu
  	$radek = mysql_fetch_array($vysledek);
		//nadpis
		$str .= "<h$headerlevel><span>$npodrob" . date('j.n.Y', strtotime($radek[0])) . "<strong>$radek[1]</strong></span></h$headerlevel>\n";
		//obsah
		$str .= $texy->process(stripslashes($radek[2]), False);
	else:
		//nadpis
		$str .= "<h$headerlevel><span>$nclanekerr</span></h$headerlevel>\n";
		//obsah
		$str .= "<p>$pclanekerr_f $id$ pclanekerr_l</p>\n";
  endif;
	//zavreni databaze
	@mysql_free_result($vysledek);
	@mysql_close();
	return $str;
}
?>